Message: Re: problem with OGLIX Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

Idea Re: problem with OGLIX 

Keywords: problem with OGLIX
Forum: Documentation and Examples
Re: Question problem with OGLIX (Juan)
Date: 30 Aug, 2005
From: Juan <Juan>

I had the same problem. I it disappear when BEFORE install Geant 4 I installed Mesa has explained in the installation procedure. You can find it in http://www.mesa3d.org/

Then I add the library path in the environmental variable export MESA_LIB=/usr/local/Mesa-6.2.1/lib LD_LIBRARY_PATH=:$MESA_LIB$LD_LIBRARY_PATH and be sure that /usr/local/Mesa-6.2.1/lib is before /usr/X11R6/lib/ and install again Geant 4. Like this /usr/local/Mesa-6.2.1/lib/libGL.so is used instead /usr/X11R6/lib/libGL.so

to be sure tha Mesa is correctly installed you should be able to run /usr/X11R6/bin/glxgears

and you can see that Mesa lib is correctly used by this program using ldd command

cabrera(csr1) - ldd /usr/X11R6/bin/glxgears
        libGL.so.1 => /usr/local/Mesa-6.2.1/lib/libGL.so.1 (0x00d46000)
        libXext.so.6 => /usr/X11R6/lib/libXext.so.6 (0x00539000)
        libX11.so.6 => /usr/X11R6/lib/libX11.so.6 (0x00111000)
        libpthread.so.0 => /lib/tls/libpthread.so.0 (0x0043c000)
        libm.so.6 => /lib/tls/libm.so.6 (0x0031c000)
        libc.so.6 => /lib/tls/libc.so.6 (0x007b3000)
        libdl.so.2 => /lib/libdl.so.2 (0x001f0000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x006c9000)

In my case, for exampleN02 I have

cabrera(csr1) - ldd bin/Linux-g++/exampleN02
        libGLU.so.1 => /usr/local/Mesa-6.2.1/lib/libGLU.so.1 (0x001a5000)
        libGL.so.1 => /usr/local/Mesa-6.2.1/lib/libGL.so.1 (0x00aa2000)
        libXm.so.3 => /usr/X11R6/lib/libXm.so.3 (0x00218000)
        libXpm.so.4 => /usr/X11R6/lib/libXpm.so.4 (0x00111000)
        libXmu.so.6 => /usr/X11R6/lib/libXmu.so.6 (0x004ce000)
        libXt.so.6 => /usr/X11R6/lib/libXt.so.6 (0x006d7000)
        libXext.so.6 => /usr/X11R6/lib/libXext.so.6 (0x00673000)
        libX11.so.6 => /usr/X11R6/lib/libX11.so.6 (0x004e4000)
        libSM.so.6 => /usr/X11R6/lib/libSM.so.6 (0x00790000)
        libICE.so.6 => /usr/X11R6/lib/libICE.so.6 (0x00121000)
        libCLHEP-1.9.2.1.so => /usr/local/clhep/lib/libCLHEP-1.9.2.1.so (0x00798000)
        libstdc++.so.5 => /usr/lib/libstdc++.so.5 (0x00956000)
        libm.so.6 => /lib/tls/libm.so.6 (0x00e3a000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00e9a000)
        libc.so.6 => /lib/tls/libc.so.6 (0x00ca4000)
        libpthread.so.0 => /lib/tls/libpthread.so.0 (0x00138000)
        libXp.so.6 => /usr/X11R6/lib/libXp.so.6 (0x006c4000)
        libdl.so.2 => /lib/libdl.so.2 (0x00148000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x00a77000)

I hope this can help you

Juan

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

 Add Message Add Message
to: "Re: problem with OGLIX"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]